<?php

/**
* Page-description: This is the language-file for the infusion.
* Language: italian
* @package infusion
* http://basti2web.de
* Version 2.32
*/

// Infusion title & description
$locale['ucc_100'] = "Centro gestione utenti";
$locale['ucc_101'] = "Questa infusion permette all'Amministratore di controllare i membri e ad accedere a numerose funzioni in modo chiaro e di facile utilizzo. Caratteristiche: Ultimo Accesso, Ultimo IP connesso, numero dei PM e Posts, ricalcolo dei Posts, gestore degli Avatars e delle immagini allegate nei posts nel forum, dettagliata funzione di ricerca utente, email per verificare mancato login dell'utente dopo un certo periodo, eliminazione di massa degli Accounts dei membri...";
$locale['ucc_102'] = "Nome del Link";
$locale['ucc_103'] = "Il supporto a questa Infusion lo potrete ricevere solo nel forum di";

//Global
$locale['ucc_110'] = "Amministratore di Sistema";
$locale['ucc_111'] = "Amministratore";
$locale['ucc_112'] = "Membro";
$locale['ucc_113'] = "ID";
$locale['ucc_114'] = "Livello";
$locale['ucc_115'] = "User Name/";
$locale['ucc_116'] = "E-Mail";
$locale['ucc_117'] = "Manda PM";
$locale['ucc_118'] = "Ultimo IP";
$locale['ucc_119'] = "Data";
$locale['ucc_120'] = "Cancella";
$locale['ucc_121'] = "IP";
$locale['ucc_130'] = "Caratteristiche";
$locale['ucc_150'] = "Errore Sconosciuto";
$locale['ucc_160'] = "Indietro";
$locale['ucc_171'] = "on";
$locale['ucc_172'] = "off";
$locale['ucc_173'] = "si";
$locale['ucc_174'] = "no";

// System Message
$locale['ucc_180'] = "I collegamenti alla banca dati non possono esser caricati";
$locale['ucc_181'] = "Questo errore  causato da un'errata installazione";
$locale['ucc_182'] = "Database-Update available: %s";
$locale['ucc_183'] = "Update successful!";
$locale['ucc_184'] = "Update failed!";
$locale['ucc_185'] = "back to UCC";
$locale['ucc_186'] = "Error: Infusion 'User Control Center' must be installed!";
$locale['ucc_187'] = "DB-Update available";

// Navigation
$locale['ucc_200'] = "Navigazione";
$locale['ucc_201'] = "Men Amministratore";
$locale['ucc_202'] = "Ultimi Accessi";
$locale['ucc_203'] = "Contatore PM";
$locale['ucc_204'] = "Contatore dei Posts";
$locale['ucc_205'] = "Controllo delle Immagini";
$locale['ucc_206'] = "Controlle delle immagini allegate";
$locale['ucc_207'] = "Ricerca utente";
$locale['ucc_208'] = "Ricalcolatore dei Posts";
$locale['ucc_209'] = "Utenti non attivati";
$locale['ucc_210'] = "Autori";

// Version-Checker
$locale['ucc_301'] = "Versione installata";
$locale['ucc_302'] = "Ultima Versione";
$locale['ucc_303'] = "La tua versione  aggiornata";
$locale['ucc_305'] = "Scarica";
$locale['ucc_306'] = "Puoi scaricare l'ultima versione di User Control Center presso";
$locale['ucc_307'] = "La funzione fsockopen non  attivata presso il tuo webserver";

// Last Login - Last IP
$locale['ucc_400'] = "Ultimi Accessi";
$locale['ucc_401'] = "Mostra gli ultimi accessi dei membri ed il loro IP";
$locale['ucc_406'] = "Ultimo accesso";
$locale['ucc_407'] = "Online";
$locale['ucc_408'] = "<5 Minuti";
$locale['ucc_409'] = "settimana";
$locale['ucc_410'] = "settimane";
$locale['ucc_411'] = "giorno";
$locale['ucc_412'] = "giorni";
$locale['ucc_413'] = "mai";
$locale['ucc_414'] = "Sort by:";
$locale['ucc_415'] = "Error: No user found";

// PM-Counter
$locale['ucc_501'] = "Numero dei messaggi privati dei Membri";
$locale['ucc_505'] = "Messaggi";
$locale['ucc_506'] = "Non ci sono messaggi!";

//Post-Counter
$locale['ucc_601'] = "Numero dei Posts dei membri sul forum";
$locale['ucc_602'] = "Posts";
$locale['ucc_606'] = "Non ci sono posts!";
$locale['ucc_607'] = "Questo  il numero dei Posts che il contatore interno di Php Fusion ha determinato. Ma qualche volta il contatore sbaglia soprattutto nel caso in cui l'Amministratore cancelli un post sul forum. Se il conteggio  errato il numero sar indicato col colore rosso.";
$locale['ucc_608'] = "Ma in questa Infusion c' una funzione che permette di ricontare e correggere il numero dei Posts";

// Image Checker
$locale['imc100'] = "Verifica Immagini";
$locale['imc101'] = "Mostra gli Avatars dei Membri con la possibilit di controllarli ed eventualmente cancellarli";
$locale['imc102'] = "Controlla Immagine";
$locale['imc103'] = "Cancella Immagine";
$locale['imc104'] = "Ritorna alla Verifica Immagini";
$locale['imc105'] = "Sospetta!?";
$locale['imc106'] = "Controlla";
$locale['imc107'] = "Cancella";
$locale['imc108'] = "Image Deleted!";
$locale['imc109'] = "no avatars uploaded";

// Forum Image Checker
$locale['imc200'] = "Verifica immagini nel Forum";
$locale['imc201'] = "Mostra le immagini, che sono allegate al Forum, con la possibilit di controllarle ed eventualmente cancellarle";
$locale['imc202'] = "Controlla Immagine";
$locale['imc203'] = "Cancella Immagine";
$locale['imc204'] = "Ritorna a Verifica Immagini";
$locale['imc205'] = "Sospetta!?";
$locale['imc206'] = "Controlla";
$locale['imc207'] = "Cancella";
$locale['imc208'] = "Image Deleted!";
$locale['imc209'] = "no attachements uploaded";

// Usersearch
$locale['ucc_800'] = "Cerca Utente";
$locale['ucc_801'] = "Dettagliata funzione di ricerca utente con differenti opzioni anche da Amministratore";
$locale['ucc_820'] = "Cerca per";
$locale['ucc_821'] = "Indirizzo IP";
$locale['ucc_822'] = "Ordina";
$locale['ucc_823'] = "Identificatore (ID)";
$locale['ucc_824'] = "Ascendente";
$locale['ucc_825'] = "Discendente";
$locale['ucc_826'] = "Risultati N.";
$locale['ucc_827'] = "Wildcard";
$locale['ucc_828'] = "Formato data di compleanno: anno-mm-gg (eg: 1989-12-31)";
$locale['ucc_829'] = "Tabella dei risultati";
$locale['ucc_830'] = "Opzioni Amministratore";
$locale['ucc_831'] = "Opzioni modifica utente";
$locale['ucc_832'] = "Cerca";
$locale['ucc_833'] = "Il campo \"cerca per\" deve esser riempito";
$locale['ucc_834'] = "Nessun utente trovato";
$locale['ucc_835'] = "Risultati";


//Recount
$locale['ucc_650'] = "Ricalcola numero dei Posts";
$locale['ucc_651'] = "Nome utente";
$locale['ucc_652'] = "Posts (prima del riconteggio)";
$locale['ucc_653'] = "Posts (dopo del riconteggio)";
$locale['ucc_654'] = "Log";
$locale['ucc_655'] = "Il contatore interno di php fusion che calcola il numero dei posts dei singoli utenti nel forum ha sbagliato:";
$locale['ucc_656'] = "Quando un Amministratore ha cancellato un post nel forum, esso non  stato sottratto dal conteggio.";
$locale['ucc_657'] = "Questa opzione riconteggia tutti i posts dei singoli utenti del forum e ne corregge il risultato finale.";
$locale['ucc_673'] = "Posts dell'utente ricalcolati";
$locale['ucc_674'] = "Posts degli utenti ricalcolati";
$locale['ucc_675'] = "Opzioni per il ricalcolo dei posts";
$locale['ucc_676'] = "Un Utente via ID";
$locale['ucc_677'] = "Un Utente via Nome";
$locale['ucc_678'] = "Tutti gli utenti";
$locale['ucc_680'] = "Riconteggia";
$locale['ucc_691'] = "Nessun utente con questo nome";
$locale['ucc_692'] = "Nessun utente con questo ID";
$locale['ucc_693'] = "L'ID deve esser per forza un numero";


// Unactivated Users
$locale['ucc_901'] = "Utenti non attivati";
$locale['ucc_902'] = "Mostra la lista degli utenti non attivati con la possibilit di attivarli, spedire loro un'email o cancellarli";
$locale['ucc_903'] = "Gli utenti non attivati saranno cancellati automaticamente dopo 24 ore da Php-Fusion. Per cambiare questo settaggio dovrete modificare il vostro PhP-Fusion.";
$locale['ucc_904'] = "Per farlo potrete leggere qui:";
$locale['ucc_910'] = "Opzioni";
$locale['ucc_911'] = "Attiva";
$locale['ucc_912'] = "Sei sicuro di voler cancellare questo utente non attivato?";
$locale['ucc_913'] = "Non ci sono utenti ancora da attivare";
$locale['ucc_920'] = "Attivazione";
$locale['ucc_921'] = "L'account  stato verificato ed attivato";
$locale['ucc_922'] = "L'account  stato attivato";
$locale['ucc_930'] = "Attivazione Account on";
$locale['ucc_951'] = "Utenti non attivati: E-Mail d'attvazione";
$locale['ucc_952'] = "Utenti non attivati: Attivazione tramite Amministratore";
$locale['ucc_953'] = "E-Mail d'attivazione";
$locale['ucc_954'] = "Attivazione tramite Amministratore";
$locale['ucc960'] = "Rispedisci email d'attivazione";
$locale['ucc961'] = "Ciao"; /* NOME */
$locale['ucc962a'] = "Ti sei registrato presso"; /* www.esempio-com */
$locale['ucc962b'] = "Ma non hai ancora attivato il tuo Account!";
$locale['ucc962c'] = "Dettagli dell'account:";
$locale['ucc962d'] = "Username:";
$locale['ucc962e'] = "Password:";
$locale['ucc962f'] = "Ti preghiamo di attivare l'account tramite il seguente link:";
$locale['ucc963'] = "Email d'attivazione spedita!";
$locale['ucc965'] = "L'Email d'attivazione non pu esser spedita!";
$locale['ucc966'] = "Nessun utente non attivo con questo codice d'attivazione!";

// Send Remember E-Mail
$locale['ucc_700'] = "Remember E-mail";
$locale['ucc_701'] = "Spedisci un email a tutti quegli utenti che non si sono connessi per un certo periodo di tempo";
$locale['ucc_702'] = "Spedisci E-mail";
$locale['ucc_703'] = "Nessuna Mail  stata spedita";
$locale['ucc_704'] = "Un'E-mail  stata spedita ai seguenti Membri:";
$locale['ucc_705'] = "Errore!";
$locale['ucc_706'] = "Periodo senza essersi connesso";
$locale['ucc_707_1'] = "1 Week";
$locale['ucc_707_2'] = "2 Weeks";
$locale['ucc_707_3'] = "3 Weeks";
$locale['ucc_708_1'] = "1 Month";
$locale['ucc_708_2'] = "2 Months";
$locale['ucc_708_3'] = "3 Months";
$locale['ucc_708_4'] = "4 Months";
$locale['ucc_708_6'] = "6 Months";
$locale['ucc_708_8'] = "8 Months";
$locale['ucc_709_1'] = "1 Year";
$locale['ucc_709_2'] = "2 Years";
$locale['ucc_710_3'] = "3 Days";
$locale['ucc_711'] = "Oggetto";
$locale['ucc_712'] = "Contenuti";
$locale['ucc_713'] = "Codice HTML";
$locale['ucc_714'] = "Testo";
$locale['ucc_715'] = "HTML";
$locale['ucc_716'] = "Anteprima";
$locale['ucc_717'] = "E-Mail spedita";
$locale['ucc_718'] = "Nessun Oggetto indicato nell'E-mail";
$locale['ucc_719'] = "Nessun contenuto indicato nell'E-mail";
$locale['ucc_720_plain'] = "Ciao,
 passato molto tempo dalla tua ultima visita presso".$settings['sitename'].".
Questa mail  per ricordarti che sarebbe nostro piacere rivederti nel nostro sito.

I nostri sinceri saluti
".$settings["siteusername"]."

".$settings['siteurl'];


// Settings
$locale['ucc_750'] = "Settaggi";
$locale['ucc_751'] = "Messaggi di Sistema";
$locale['ucc_752'] = "Mostra tutte le categorie";
$locale['ucc_753a'] = "Se attivo: tutte le categorie sono visibili anche se non risulta alcuna Submission.";
$locale['ucc_753b'] = "Se disattivato: la categoria viene visualizzata se c' un qualsiasi tipo di Submission.";
$locale['ucc_754'] = "Controllo automatico";
$locale['ucc_755'] = "Scarica Submissions per la Infusion 'Pro Download System' di wibix";
$locale['ucc_756'] = "Eventi-Submissions per la Infusion 'awEventCalendar' di wibix";
$locale['ucc_757'] = "Controlla automaticamente se la Infusion  installata, in caso positivo le Submissions verranno visualizzate.";
$locale['ucc_758'] = "Configurazione manuale";
$locale['ucc_759'] = "Se il Controllo Automatico  disabilitato.";
$locale['ucc_760'] = "Se abilitato: visualizzazione delle submissions attivata";
$locale['ucc_761'] = "Se disabilitato: visualizzazione delle submissions disattivata";
$locale['ucc_762'] = "Pannello di configurazione";
$locale['ucc_763'] = "salva";
$locale['ucc_764'] = "Settaggi d'Amministrazione";
$locale['ucc_765'] = "Numero di membri per pagina";
$locale['ucc_766'] = "Ultimo Accesso";
$locale['ucc_767'] = "Contatore dei PM e dei Posts";
$locale['ucc_768'] = "C' un errore";
$locale['ucc_769'] = "ci che  stato inserito contiene caratteri non validi!";

// Delete Users
$locale['ucc_550'] = "Elimina Membri";
$locale['ucc_551'] = "Membri eliminati";
$locale['ucc_552'] = "Nessun Membro corrispondente alla ricerca trovato";
$locale['ucc_553'] = "Elimina tutti quei membri che non si sono connessi per il seguente periodo e che sono registrati da almeno 3 giorni";
$locale['ucc_554'] = "mai connesso";
//changed translations v2.31
$locale['ucc_555'] = "Devi avere i Diritti "M" per poter cancellare gli Utenti";
//neu 2.32
$locale['ucc_556'] = "Elimina tutti gli Utenti, coloro che non hanno ancora scritto un post, non si son connessi per il seguente periodo e son registrati da pi di 3 giorni";
$locale['ucc_557'] = "Elimina un singolo Utente";
//--
$locale['ucc_558'] = "Elimina anche i Posts dei Membris";
$locale['ucc_559'] = "Elimina anche gli Articoli dei Membri";
$locale['ucc_560'] = "Elimina anche le News dei Membri";
$locale['ucc_561'] = "Elimina Commenti, Vots, Ratings, Messaggi nella Shoutbox, Messaggi inviati **";
$locale['ucc_562'] = "I Posts verranno assegnati ad un 'Ghostuser' (utente fantasma), se non cancellati";
$locale['ucc_563'] = "I Messaggi in arrivo verranno cancellati";
$locale['ucc_564'] = "Elimina i Membri";
$locale['ucc_565'] = "Vuoi cancellare veramente i Membri?";
$locale['ucc_566'] = "Questa opzione canceller tutti quei Membri che non si sono connessi da un periodo predefinito";

// User Control Panel
$locale['ucc_p01'] = "Invio Materiale";
$locale['ucc_p02'] = "News";
$locale['ucc_p03'] = "Articoli";
$locale['ucc_p04'] = "Links";
$locale['ucc_p05'] = "Foto";
$locale['ucc_p06'] = "Downloads";
$locale['ucc_p07'] = "Eventi";
$locale['ucc_p08'] = "Non c' nessun nuovo materiale inviato";
$locale['ucc_p09'] = "Joke";
$locale['ucc_p10'] = "Reciepe";
?>