<?php

/**
* Page-description: This is the language-file for the infusion.
* Language: German
* @package infusion
* http://basti2web.de
* Version 2.40a
*/

// Infusion title & description
$locale['ucc_100'] = "User Control Center";
$locale['ucc_101'] = "Diese Infusion ermglicht es dem Admin verschiede Informationen von den Mitgliedern einzusehen. Features: Letzter Login und IP der Mitglieder, Anzahl der PMs und Posts, Post-Recounter, Avatar- and Forum Attachment-Image Checker, detailierte User-Search, Erinnerungs-Mail, eine umfangreiche Funktion um Mitglieder zu lschen...";
$locale['ucc_102'] = "Link Name";
$locale['ucc_103'] = "Hilfe zu dieser Infusion bekommst du im Forum von";

//Global
$locale['ucc_110'] = "System-Admin";
$locale['ucc_111'] = "Administrator";
$locale['ucc_112'] = "Member";
$locale['ucc_113'] = "ID";
$locale['ucc_114'] = "Rang";
$locale['ucc_115'] = "User Name";
$locale['ucc_116'] = "E-Mail";
$locale['ucc_117'] = "Sende PM";
$locale['ucc_118'] = "Letzte IP";
$locale['ucc_119'] = "Datum";
$locale['ucc_120'] = "Lschen";
$locale['ucc_121'] = "IP"; 		//neu 2.32
$locale['ucc_130'] = "Funktionen";
$locale['ucc_150'] = "unbekannter Fehler";
$locale['ucc_160'] = "zurck";
$locale['ucc_171'] = "an";
$locale['ucc_172'] = "aus";
$locale['ucc_173'] = "ja";
$locale['ucc_174'] = "nein";

// System Message
$locale['ucc_180'] = "Datenbank-Einstellungen knnen nicht geladen werden";
$locale['ucc_181'] = "Dieser Fehler entsteht durch eine fehlerhafte Installation";
$locale['ucc_182'] = "Datenbank-Update verfgbar: %s";	//neu 2.32
$locale['ucc_183'] = "Update erfolgreich abgeschlossen!";	//neu 2.32
$locale['ucc_184'] = "Update fehlgeschlagen!";			//neu 2.32
$locale['ucc_185'] = "zurck zum UCC";				//neu 2.32
$locale['ucc_186'] = "Error: Infusion 'User Control Center' must be installed!";	//neu 2.32
$locale['ucc_187'] = "DB-Update available";				//neu 2.32

// Navigation
$locale['ucc_200'] = "Navigation";
$locale['ucc_201'] = "Adminmen";
$locale['ucc_202'] = "Letzte Logins";
$locale['ucc_203'] = "PM-Counter";
$locale['ucc_204'] = "Post-Counter";
$locale['ucc_205'] = "Image-Checker";
$locale['ucc_206'] = "Attachment-Image-Checker";
$locale['ucc_207'] = "User-Search";
$locale['ucc_208'] = "Post-Recounter";
$locale['ucc_209'] = "Nicht aktivierte User";
$locale['ucc_210'] = "Autoren";
$locale['ucc_211'] = "User Groups Management";
$locale['ucc_212'] = "Information";

// Version-Checker
$locale['ucc_301'] = "Installierte Version";
$locale['ucc_302'] = "Neueste Version";
$locale['ucc_303'] = "Deine Version ist aktuell";
$locale['ucc_305'] = "Download";
$locale['ucc_306'] = "Du kannst die aktuelle Version von User Control Center downloaden auf";
$locale['ucc_307'] = "Die Funktion fsockopen ist auf deinem Webserver nicht aktiviert";

// Last Login - Last IP
$locale['ucc_400'] = "Letzte Besuche";
$locale['ucc_401'] = "Zeigt den letzten Besuch der Mitglieder an und deren dabei verwendete IP.";
$locale['ucc_406'] = "Letzter Besuch";
$locale['ucc_407'] = "Online";
$locale['ucc_408'] = "<5 Minuten";
$locale['ucc_409'] = "Woche";
$locale['ucc_410'] = "Wochen";
$locale['ucc_411'] = "Tag";
$locale['ucc_412'] = "Tage";
$locale['ucc_413'] = "Nie";
$locale['ucc_414'] = "Ordnen nach:";				//neu 2.32
$locale['ucc_415'] = "Fehler: Kein User gefunden";				//neu 2.32

// PM-Counter
$locale['ucc_501'] = "Anzahl der Privaten Nachrichten von den Mitgliedern";
$locale['ucc_505'] = "Nachrichten";
$locale['ucc_506'] = "Es gibt keine Nachrichten!";

//Post-Counter
$locale['ucc_601'] = "Anzahl der Beitrge im Forum von den Mitgliedern";
$locale['ucc_602'] = "Posts";
$locale['ucc_606'] = "Es gibt keine Posts!";
$locale['ucc_607'] = "Das ist die Post-Anzahl, auf die der interne Zhler von php-fusion steht. Aber dieser Counter zhlt leider falsch, denn wenn ein Post gelscht wird, dann wird dieser Post vom Counter nicht wieder abgezogen. Falls der Counter falsch steht, ist die Zahl rot.";
$locale['ucc_608'] = "Aber in dieser Infusion gibt es eine Funktion, mit der man die Anzahl der Posts nachzhlen kann";

// Image Checker
$locale['imc100'] = "Image Checker";
$locale['imc101'] = "Listet die Avatare der Mitglieder mit der Mglichkeit sie zu lschen und zu inspizieren auf";
$locale['imc102'] = "Inspiziere Bild";
$locale['imc103'] = "Lsche Bild";
$locale['imc104'] = "Zurck zum Image-Checker";
$locale['imc105'] = "Verdchtig!?";
$locale['imc106'] = "Inspizieren";
$locale['imc107'] = "Lschen";
$locale['imc108'] = "Image Deleted!";
$locale['imc109'] = "no avatars uploaded";

// Forum Image Checker
$locale['imc200'] = "Forum Image Checker";
$locale['imc201'] = "Listet die Bilder auf, die im Forum angehngt wurden, mit der Mglichkeit sie zu inspizieren oder zu lschen";
$locale['imc202'] = "Inspiziere Bild";
$locale['imc203'] = "Lsche Bild";
$locale['imc204'] = "zurck zum Image-Checker";
$locale['imc205'] = "Verdchtig!?";
$locale['imc206'] = "Inspizieren";
$locale['imc207'] = "Lschen";
$locale['imc208'] = "Image Deleted!";
$locale['imc209'] = "no attachements uploaded";

// Usersearch
$locale['ucc_800'] = "User Suche";
$locale['ucc_801'] = "Umfangreiche Usersuche mit verschiedenen Suchkriterien und Adminoptionen";
$locale['ucc_820'] = "Suche";
$locale['ucc_821'] = "IP Addresse";
$locale['ucc_822'] = "Sortierung";
$locale['ucc_823'] = "Identifier (ID)";
$locale['ucc_824'] = "Aufsteigend";
$locale['ucc_825'] = "Absteigend";
$locale['ucc_826'] = "Anzahl der Ergebnisse";
$locale['ucc_827'] = "Wildcard";
$locale['ucc_828'] = "Zeitformat des Geburtstags: yyyy-mm-dd (z.B: 1989-12-31)";
$locale['ucc_829'] = "Ergebnis der Suche";
$locale['ucc_830'] = "Admin Optionen";
$locale['ucc_831'] = "User Edit Optionen";
$locale['ucc_832'] = "Suche";
$locale['ucc_833'] = "Das \"Suche\"-Feld muss ausgefllt werden";
$locale['ucc_834'] = "Keine User gefunden";
$locale['ucc_835'] = "Ergebnis";


//Recount
$locale['ucc_650'] = "Post-Recounter";
$locale['ucc_651'] = "User Name";
$locale['ucc_652'] = "Posts (vor der Zhlung)";
$locale['ucc_653'] = "Posts (nach der Zhlung)";
$locale['ucc_654'] = "Log";
$locale['ucc_655'] = "Der interne Zhler von php-fusion, der die Forenposts der User zhlt, geht nicht richtig:";
$locale['ucc_656'] = "Wenn ein Admin einen Beitrag oder Topic im Forum lscht, wird der Post nicht wieder abgezogen.";
$locale['ucc_657'] = "Diese Funktion zhlt alle Beitrge der Mitglieder erneut und korrigiert den internen Zhler von php-fusion.";
$locale['ucc_673'] = "Die Posts des Mitglieds wurden erneut gezhlt";
$locale['ucc_674'] = "Die Posts der Mitglieder wurden erneut gezhlt";
$locale['ucc_675'] = "Post-Recount Options";
$locale['ucc_676'] = "Einen User By ID";
$locale['ucc_677'] = "Einen User By Name";
$locale['ucc_678'] = "Alle User";
$locale['ucc_680'] = "Recount";
$locale['ucc_691'] = "Es gibt keinen User mit diesem Name";
$locale['ucc_692'] = "Es gibt keinen User mit dieser ID";
$locale['ucc_693'] = "Die ID muss eine Zahl sein";


// Unactivated Users
$locale['ucc_901'] = "Nicht aktivierte User";
$locale['ucc_902'] = "Zeigt alle noch nicht aktivierten User an, mit der Mglichkeit sie zu aktivieren, eine E-Mail zu schicken und sie zu lschen.";
$locale['ucc_903'] = "Nicht aktivierte User werden automatisch nach 24 Stunden von PHP-Fusion gelscht. Um diese Einstellung zu ndern, mssen Sie eine Modifikation an PHP-Fusion vornehmen.";
$locale['ucc_904'] = "Die Anleitung dazu finden Sie hier:";
$locale['ucc_910'] = "Optionen";
$locale['ucc_911'] = "Freischalten";
$locale['ucc_912'] = "Lsche nicht aktivierten User";
$locale['ucc_913'] = "Es gibt keine User Accounts, die noch per E-Mail aktiviert werden mssen";
$locale['ucc_914'] = "Es gibt keine User Accounts, die noch von einem Admin freigeschalten werden mssen";
$locale['ucc_920'] = "Aktivierung";
$locale['ucc_921'] = "Account wurde aktiviert und freigeschalten";
$locale['ucc_922'] = "Account wurde aktiviert";
$locale['ucc_930'] = "Accountaktivierung auf";
$locale['ucc_951'] = "Nicht aktivierte User: E-Mail Aktivierung";
$locale['ucc_952'] = "Nicht aktivierte User: Admin-Aktivierung";
$locale['ucc_953'] = "E-Mail-Aktivierung";
$locale['ucc_954'] = "Admin-Aktivierung";
$locale['ucc960'] = "Erneute Aktivierungs-E-Mail";
$locale['ucc961'] = "Hallo";
$locale['ucc962a'] = "Sie haben sich auf";
$locale['ucc962b'] = "registriert. Jedoch wurde Ihr Account noch nicht aktiviert!";
$locale['ucc962c'] = "Account Details:";
$locale['ucc962d'] = "Username:";
$locale['ucc962e'] = "Password:";
$locale['ucc962f'] = "Bitte Aktiviere deinen Account mit dem Link:";
$locale['ucc963'] = "Aktivierungs E-Mail gesendet";
$locale['ucc965'] = "Aktivierungs E-Mail konnte nicht gesendet werden.";
$locale['ucc966'] = "Es ist kein User mit diesem Aktivierungs Code definiert.";

// Send Remember E-Mail
$locale['ucc_700'] = "Erinnerungsmail";
$locale['ucc_701'] = "Versendet eine E-Mail an alle Mitglieder, die sich seit einer bestimmten Zeit nicht mehr eingeloggt haben.";
$locale['ucc_702'] = "E-Mail Versand";
$locale['ucc_703'] = "Es wurde keine Mail versendet.";
$locale['ucc_704'] = "An folgenden Mitgliedern wurde eine E-Mail versendet:";
$locale['ucc_705'] = "Fehler!";
$locale['ucc_706'] = "Zeitraum ohne Login";
$locale['ucc_707_1'] = "1 Woche";
$locale['ucc_707_2'] = "2 Wochen";
$locale['ucc_707_3'] = "3 Wochen";
$locale['ucc_708_1'] = "1 Monat";
$locale['ucc_708_2'] = "2 Monate";
$locale['ucc_708_3'] = "3 Monate";
$locale['ucc_708_4'] = "4 Monate";
$locale['ucc_708_6'] = "6 Monate";
$locale['ucc_708_8'] = "8 Monate";
$locale['ucc_709_1'] = "1 Jahr";
$locale['ucc_709_2'] = "2 Jahre";
$locale['ucc_710_3'] = "3 Tage";		//neu 2.32
$locale['ucc_711'] = "Betreff";
$locale['ucc_712'] = "Inhalt";
$locale['ucc_713'] = "HTML-Code";
$locale['ucc_714'] = "Text";
$locale['ucc_715'] = "HTML";
$locale['ucc_716'] = "Vorschau";
$locale['ucc_717'] = "E-Mail versenden";
$locale['ucc_718'] = "Kein E-Mail Betreff angegeben";
$locale['ucc_719'] = "Keinen E-Mail Inhalt angegeben";
$locale['ucc_720_plain'] = "Hallo,
Sie haben sich schon lngere Zeit nicht mehr auf ".$settings['sitename']." sehen lassen.
Wir wrden uns freuen, wenn Sie uns wieder einmal besuchen.

Mit freundlichen Gren
".$settings["siteusername"]."

".$settings['siteurl'];


// Settings
$locale['ucc_750'] = "Einstellungen";
$locale['ucc_751'] = "Systemnachricht";
$locale['ucc_752'] = "Zeige alle Kategorien";
$locale['ucc_753a'] = "Wenn an: Die Anzeige zeigt immer alle Einsendungskategorien. Auch wenn es keine neue Einsendungen gibt.";
$locale['ucc_753b'] = "Wenn aus: Die Kategorie wird nur angezeigt, wenn es Einsendungen gibt.";
$locale['ucc_754'] = "Automatische berprfung";
$locale['ucc_755'] = "Download-Einsendungen fr die Infusion 'Pro Download System' von wibix";
$locale['ucc_756'] = "Event-Einsendungen fr die Infusion 'awEventCalendar' von wibix";
$locale['ucc_757'] = "berprft automatisch, ob die Infusion installiert ist, und falls das der Fall ist, werden dann die Einsendungen angezeigt.";
$locale['ucc_758'] = "Manuelle Einstellung";
$locale['ucc_759'] = "Wenn die 'Automatische berprfung' deaktiviert ist.";
$locale['ucc_760'] = "Wenn an: Anzeige der Einsendungen aktiviert";
$locale['ucc_761'] = "Wenn aus: Anzeige der Einsendungen deaktiviert";
$locale['ucc_762'] = "Panel-Einstellungen";
$locale['ucc_763'] = "speichern";
$locale['ucc_764'] = "Adminmen-Einstellungen";
$locale['ucc_765'] = "Anzahl der Mitglieder auf einer Seite";
$locale['ucc_766'] = "Letzte Logins";
$locale['ucc_767'] = "PM und Post-Counter";
$locale['ucc_768'] = "Es ist ein Fehler aufgetreten";
$locale['ucc_769'] = "Eine Eingabe erhlt unerlaubte Zeichen!";

// Delete Users
$locale['ucc_550'] = "Mitglieder lschen";
$locale['ucc_551'] = "Mitglieder gelscht";
$locale['ucc_552'] = "Kein Mitglied entsprach den Vorgaben";
$locale['ucc_553'] = "Lsche alle Mitglieder, die sich innerhalb folgenden Zeitraum nicht mehr eingelogt haben und schon lnger als 3 Tage registriert sind";
$locale['ucc_554'] = "nie eingelogt";
//changed translations v2.31
$locale['ucc_555'] = "Um Benutzer zu lschen, wird das Adminrecht 'M' bentigt!";
//neu 2.32
$locale['ucc_556'] = "Lsche alle Mitglieder, die noch keine Beitrge geschrieben haben, sich innerhalb folgendem Zeitraum nicht mehr eingelogt haben und schon lnger als 3 Tage registriert sind.";
$locale['ucc_557'] = "Lsche nur ein bestimmtes Mitglied";
//--
$locale['ucc_558'] = "Auch die Forenposts der Mitglieder lschen";
$locale['ucc_559'] = "Auch die Artikel der Mitglieder lschen";
$locale['ucc_560'] = "Auch die News der Mitglieder lschen";
$locale['ucc_561'] = "Kommentare, Umfragestimmen, Bewertungen, Shoutboxnachrichten, versendete Nachrichten ** lschen";
$locale['ucc_562'] = "Beitrge einem 'Geisteruser' zuordnen, wenn sie nicht gelscht werden";
$locale['ucc_563'] = "Eingegangene Nachrichten werden gelscht";
$locale['ucc_564'] = "Mitglieder lschen";
$locale['ucc_565'] = "Mitglieder wirklich lschen?";
$locale['ucc_566'] = "Lscht alle Mitglieder, die sich seit einer bestimmten Zeit nicht mehr eingelogt haben.";

// User Control Panel
$locale['ucc_p01'] = "Einsendungen";
$locale['ucc_p02'] = "News";
$locale['ucc_p03'] = "Artikel";
$locale['ucc_p04'] = "Links"; 
$locale['ucc_p05'] = "Fotos"; 
$locale['ucc_p06'] = "Downloads";
$locale['ucc_p07'] = "Events";
$locale['ucc_p08'] = "Keine neuen Einsendungen";
$locale['ucc_p09'] = "Witz"; //neu 2.32
$locale['ucc_p10'] = "Rezept"; //neu 2.32
?>